import Spy = jasmine.Spy;
import { JhiLanguageService } from 'ng-jhipster';

import { SpyObject } from './spyobject';
import { TranslateService } from '@ngx-translate/core';

export class MockLanguageService extends SpyObject {
  getCurrentLanguageSpy: Spy;

  constructor() {
    super(JhiLanguageService);

    this.getCurrentLanguageSpy = this.spy('getCurrentLanguage').andReturn('en');
  }
}

export class MockTranslateService extends SpyObject {

  constructor() {
    super(TranslateService);

  }
}
